import { Component, OnInit } from '@angular/core';

import { AppConfigService } from 'app/app-config/app-config.service';
import { SystemAttributes } from 'app/app-config/system-config';
import { AuthenticationService } from 'app/authentication/authentication.service';

@Component({
  selector: 'app-home',
  templateUrl: './home.component.html',
  styleUrls: ['./home.component.scss']
})
export class HomeComponent implements OnInit {

  get systems(): SystemAttributes[] {
    return this.appConfigService.system.systems;
  }

  constructor(
    private appConfigService: AppConfigService,
    public authenticationService: AuthenticationService
  ) { }

  ngOnInit(): void {
  }

}
